## AC_FIND_USER_METHOD and AC_CHECK_OSOCKADDR implemented here, 
## to avoid changing acinclude.m4.in (on Kulow's request)
## David.Faure@insa-lyon.fr

AC_DEFUN(AC_FIND_USER_METHOD,
[ 
if test "$(echo $target_os | sed -e 's/-.*$//')" = "linux"; then
    if test -d /proc; then
       AC_DEFINE(PROC_FIND_USER)

## Sufficient if all xdm and kdm would call sessreg to log the user into utmp
       AC_DEFINE(UTMP_AND_PROC_FIND_USER)

## Waiting for this, here is complement, looking for DISPLAY set in any process
## in /proc that the user owns
       AC_DEFINE(ALL_PROCESSES_AND_PROC_FIND_USER)
    fi
 fi
#Otherwise (if not linux or /proc doesn't exist), old method, looking only
#in utmp 

])

AC_DEFUN(AC_CHECK_OSOCKADDR,
[AC_MSG_CHECKING(for osockaddr and sockaddr)
AC_CACHE_VAL(ac_cv_osockaddr,
 [AC_LANG_C
  AC_TRY_COMPILE([#include "confdefs.h"
  #include <sys/types.h>
  #include <sys/socket.h>
  #ifdef HAVE_PROTOCOLS_TALKD_H
    #include <protocols/talkd.h>
  #else
    #include "ktalkd/talkd.h"
  #endif
  #include <netinet/in.h>],[CTL_MSG msg; struct sockaddr_in ctl_addr;
     msg.ctl_addr = *(struct osockaddr *)&ctl_addr;],
  eval "ac_cv_osockaddr=yes", eval "ac_cv_osockaddr=no")])
if eval "test \"`echo `$ac_cv_osockaddr\" = yes"; then
  AC_MSG_RESULT([osockaddr works. Good.])
else
  AC_CACHE_VAL(ac_cv_sockaddr,
    [AC_LANG_C
     AC_TRY_COMPILE([#include "confdefs.h"
     #define osockaddr sockaddr
     #include <sys/types.h>
     #include <sys/socket.h>
     #ifdef HAVE_PROTOCOLS_TALKD_H
       #include <protocols/talkd.h>
     #else
       #include "ktalkd/talkd.h"
     #endif
     #include <netinet/in.h>],[CTL_MSG msg; struct sockaddr_in ctl_addr;
        msg.ctl_addr = *(struct osockaddr *)&ctl_addr;],
     eval "ac_cv_sockaddr=yes", eval "ac_cv_sockaddr=no")])
  if eval "test \"`echo `$ac_cv_sockaddr\" = yes"; then
    AC_MSG_RESULT([will define osockaddr=sockaddr.])
    AC_DEFINE(osockaddr, sockaddr)
  else
    AC_MSG_ERROR([none found ! ERROR !])
  fi
fi
])
